#!/usr/bin/env node

var program = require('commander');
const packageJson = require('../package');

var mArgs = {
    inputPath: "",
    outputPath: ""
}
function parseListArgv( val , key) {
    mArgs[key] = val;
}


program.version(packageJson.version, '-v, --version')
        .option( '-i, --inputPath [inputPath]', 'Specify inputFile path', parseListArgv , ["inputPath"])
        .option( '-o, --outputPath <outputPath>', 'Specify outputFile path', parseListArgv , ["outputPath"])

program.command('run [filePath]')
       .alias('r')
       .description('start run')
       .action(function (fp) {
            if (!fp) {
                fp = "xxxxx/xxxx/xxx.json"
            }
            console.log("filePath:" + fp);
            console.log("inputPath:" + mArgs.inputPath);
            console.log("ouputPath:" + mArgs.outputPath);
       }) 
program.parse(process.argv)

if (program.args.length === 0) {
  program.help()
}